/***************************************************************************
	file:		uart.h
	product:
	project:	8051 uart interface
	date: 		Mar.2013 - first release

	version 	1.0
	compiler:	Keil Cx51 V9.05

	mc:			AT89C5131A
	crystal:	12MHz, 24MHz

	author: 	Viktor Schabelski info@i2c-bus.de.de
	licence:
**************************************************/

#ifndef _UART_H
	#define _UART_H



/*-----------------------------------------------------------------------------
 *  global/constant variables	                                                *
 *----------------------------------------------------------------------------*/
// System Quarz
typedef enum _crystal {
_12MHz = 12,
_24MHz = 24
}crystal_t;


// Error Code UART SchnittstelleS
typedef enum _errorCodeUart{
    UART_SUCCESS = 0,
    UART_BUSY = 1,
    UART_TRANSMISSION_FAIL = 2
}errorCodeUart_t;


/*-----------------------------------------------------------------------------
	api
---------------------------------------------------*/
//UART Initialisierung
void Uart_Init(crystal_t  systemCrysal);

//Sende Character ueber UART
errorCodeUart_t Uart_SendChar(unsigned char character);

//Sende String ueber UART
errorCodeUart_t Uart_SendString(unsigned char* pString);

//void uart_testCycle(void);






#endif
